NXWidgets: NxWM::CHexCalculatorFactory Class Reference

NXWidgets 1.19

Public Member Functions | Private Attributes | List of all members
NxWM::CHexCalculatorFactory Class Reference

`#include <chexcalculator.hxx>`

Inheritance diagram for NxWM::CHexCalculatorFactory:

## Public Member Functions
| CHexCalculatorFactory (CTaskbar *taskbar)
| ~CHexCalculatorFactory (void)
IApplication * | create (void)
NXWidgets::IBitmap * | getIcon (void)
Public Member Functions inherited from NxWM::IApplicationFactory
virtual | ~IApplicationFactory (void)

## Private Attributes
CTaskbar * | m_taskbar

## Detailed Description

Definition at line 291 of file chexcalculator.hxx.

## Constructor & Destructor Documentation

## ◆ CHexCalculatorFactory()

CHexCalculatorFactory::CHexCalculatorFactory | ( | CTaskbar * | taskbar | ) |

CHexCalculatorFactory Constructor

Parameters

  taskbar. | The taskbar instance used to terminate calibration

CHexCalculatorFactory Constructor

Parameters

  taskbar. | The taskbar instance used to terminate the console

Definition at line 964 of file chexcalculator.cxx.

## ◆ ~CHexCalculatorFactory()

NxWM::CHexCalculatorFactory::~CHexCalculatorFactory | ( | void |  | ) |
| inline

CHexCalculatorFactory Destructor

Definition at line 309 of file chexcalculator.hxx.

## Member Function Documentation

## ◆ create()

IApplication * CHexCalculatorFactory::create | ( | void |  | ) |
| virtual

Create a new instance of an CHexCalculator (as IApplication).

Implements NxWM::IApplicationFactory.

Definition at line 973 of file chexcalculator.cxx.

## ◆ getIcon()

NXWidgets::IBitmap * CHexCalculatorFactory::getIcon | ( | void |  | ) |
| virtual

Get the icon associated with the application

Returns
  An instance if IBitmap that may be used to rend the application's icon. This is an new IBitmap instance that must be deleted by the caller when it is no long needed.

Implements NxWM::IApplicationFactory.

Definition at line 1016 of file chexcalculator.cxx.

## Member Data Documentation

## ◆ m_taskbar

CTaskbar* NxWM::CHexCalculatorFactory::m_taskbar
| private

The taskbar

Definition at line 294 of file chexcalculator.hxx.

The documentation for this class was generated from the following files:

- chexcalculator.hxx
- chexcalculator.cxx